MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
Agents
Auth
Billing
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Embedding
Fleet
Knowledge Bases
LLM
MCP Listings
Media
Confirm Media UploadPresign Media Upload
OAuth Clients
OAuth2
Observability
Organisations
Realtime
Reviews
Roadmap
SCIM
STT
Suppression
Triggers
TTS
Users
Utils
Voices
Webhooks
Workflows
API ReferenceMedia

Presign Media Upload

POST
/v1/media/{purpose}/{resource_id}/presign

Issue a presigned S3 POST policy for uploading media of a given purpose.

Authorization is delegated to the purpose's registered check_permission function - 403 if it raises PermissionError, 404 if it returns None.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

purpose*Purpose
resource_id*Resource Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/media/string/497f6eca-6276-4993-bfeb-53cbbbba6f08/presign" \  -H "Content-Type: application/json" \  -d '{    "content_type": "string"  }'
{  "post_url": "string",  "fields": {    "property1": "string",    "property2": "string"  },  "object_key": "string",  "expires_in": 0}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Confirm Media Upload

Previous Page

OAuth Clients

Endpoints in the OAuth Clients group.

content_type*Content Type
Length1 <= length <= 128